CREATE ROLE "sedaq-app" NOSUPERUSER LOGIN ENCRYPTED PASSWORD 'batman';
CREATE DATABASE "db-training";
GRANT CONNECT ON DATABASE "db-training" TO "sedaq-app";
REVOKE CREATE ON SCHEMA public FROM PUBLIC;

\connect "db-training";
CREATE SCHEMA IF NOT EXISTS "bds" AUTHORIZATION "sedaq-app";
GRANT USAGE ON SCHEMA "bds" TO "sedaq-app";
DROP SCHEMA IF EXISTS public CASCADE;
-- privileges configuration (also for subsequently-created tables)
ALTER DEFAULT PRIVILEGES IN SCHEMA "bds" GRANT SELECT, INSERT, UPDATE, DELETE, REFERENCES, TRIGGER ON TABLES TO "sedaq-app";
ALTER DEFAULT PRIVILEGES IN SCHEMA "bds" GRANT ALL PRIVILEGES ON SEQUENCES TO "sedaq-app";
